Bug 57882 - rxvt greek keyboard support clashes with altgr usage in (at least) Nordic countries
Summary: rxvt greek keyboard support clashes with altgr usage in (at least) Nordic cou...
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: rxvt   
(Show other bugs)
Version: 1.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Harald Hoyer
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-12-30 20:42 UTC by Ville Herva
Modified: 2007-04-18 16:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-03-21 19:46:05 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ville Herva 2001-12-30 20:42:02 UTC
Description of Problem:
The new rxvt-2.7.8 greek keyboard support defaults to using Mode_switch for changing between western and greek fonts

Version-Release number of selected component (if applicable):


How Reproducible:


Steps to Reproduce:
1. launch rxvt
2. press Mode_switch (altgr)

Actual Results:
Touching altgr (Mode switch leaves greek character set on).


Expected Results:
In many European countries (Finland, Sweden, Norway... I'm not sure what others... Germany, France?) altgr (Mode_switch) is used to compose characters like $, #, @, \, ~, |. It work like shift - you press it with for example '+' (altgr-+ -> \). 

Additional Information:
You can work around this with echo "Rxvt*greektoggle_key: Hyper_L" >> ~/.Xdefaults. 

But this is hellova announing default - altgr is the second most used modifier in Nordic countries. I don't think you want to leave this on by default. See README.greek in rxvt package, it can be disabled. Or at least change the default key to something else than 
altgr.

Comment 1 Harald Hoyer 2002-01-08 14:50:06 UTC
sorry... grrr.. I hate this default settings that are changing.


Comment 2 Harald Hoyer 2002-01-17 15:24:12 UTC
should be fixed in rxvt-2.7.8-6 or newer


Comment 3 Ville Herva 2002-03-21 19:46:01 UTC
Nice. rxvt-2.7.8-6 hasn't propagated to rawhide yet, has it?

The newest I can find is 

lftp> pwd
ftp://ftp.redhat.com/pub/redhat/linux/rawhide/i386/RedHat/RPMS
lftp> ls rxvt*
-rw-r--r--    1 529      529        270464 Jan 15 14:47 rxvt-2.7.8-3.i386.rpm


Comment 4 Harald Hoyer 2002-03-25 11:00:38 UTC
Oops, I meant rxvt-2.7.6-6, of course... 2.7.8-3 is ok also

Comment 5 Ville Herva 2002-03-28 20:07:16 UTC
Of course. Sorry for the noise.

With 2.7.8-3 I can confirm the default is now sane ;).


Note You need to log in before you can comment on or make changes to this bug.